/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef __CGarbage_H__
#define __CGarbage_H__

#include <new.h>
#include "FXElement.h"
#include "FXArray.h"

class CGarbage
{
public:
	CGarbage() {}
	~CGarbage()
	{
 		for ( FXint i = 0; i < m_Objects.no(); i++ ) 
		{
			delete m_Objects[i];
		} 
	}

	void operator = (FXObject* o)
	{
		m_Objects.append(o);
	}

private:
	FXArray<FXObject*> m_Objects;
};

#endif // __CGarbage_H__